> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/marketing/api/ecommerce/get-store/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server.
# Get store info
GET https://api.mailchimp.com/3.0/ecommerce/stores/{store_id}
Get information about a specific store.
Reference: https://mailchimp.com/developer/marketing/api/ecommerce/get-store
## Authentication
- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth
## Request
### Path parameters
- `store_id` (string, required) — The store id.
### Query parameters
- `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
- `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.
## Response
### 200
- `_links` (list of ECommerceStoreLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `address` (ECommerceStoreAddress, optional) — The store address.
- `automations` (ECommerceStoreAutomations, optional) — Details for the automations attached to this store.
- `connected_site` (ECommerceStoreConnectedSite, optional) — The Connected Site associated with the store.
- `created_at` (datetime, optional) — The date and time the store was created in ISO 8601 format.
- `currency_code` (string, optional) — The three-letter ISO 4217 code for the currency that the store accepts.
- `domain` (string, optional) — The store domain. The store domain must be unique within a user account.
- `email_address` (string, optional) — The email address for the store.
- `id` (string, optional) — The unique identifier for the store.
- `is_syncing` (boolean, optional) — Whether to disable automations because the store is currently [syncing](https://mailchimp.com/developer/marketing/docs/e-commerce/#pausing-store-automations).
- `list_id` (string, optional) — The unique identifier for the list that's associated with the store. The `list_id` for a specific store can't change.
- `list_is_active` (boolean, optional) — The status of the list connected to the store, namely if it's deleted or disabled.
- `money_format` (string, optional) — The currency format for the store. For example: `$`, `£`, etc.
- `name` (string, optional) — The name of the store.
- `phone` (string, optional) — The store phone number.
- `platform` (string, optional) — The e-commerce platform of the store.
- `primary_locale` (string, optional) — The primary locale for the store. For example: `en`, `de`, etc.
- `timezone` (string, optional) — The timezone for the store.
- `updated_at` (datetime, optional) — The date and time the store was last updated in ISO 8601 format.
## Types
### ECommerceStoreLinksItems
This object represents a link from the resource where it is found to another resource or action that may be performed.
- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
- Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.
### ECommerceStoreAddress
The store address.
- `address1` (string, optional) — The store's mailing address.
- `address2` (string, optional) — An additional field for the store's mailing address.
- `city` (string, optional) — The city the store is located in.
- `country` (string, optional) — The store's country.
- `country_code` (string, optional) — The two-letter code for to the store's country.
- `latitude` (double, optional) — The latitude of the store location.
- `longitude` (double, optional) — The longitude of the store location.
- `postal_code` (string, optional) — The store's postal or zip code.
- `province` (string, optional) — The store's state name or normalized province.
- `province_code` (string, optional) — The two-letter code for the store's province or state.
### ECommerceStoreAutomations
Details for the automations attached to this store.
- `abandoned_browse` (ECommerceStoreAutomationsAbandonedBrowse, optional) — abandonedBrowse automation details. abandonedBrowse is also known as Product Retargeting Email or Retarget Site Visitors on the web.
- `abandoned_cart` (ECommerceStoreAutomationsAbandonedCart, optional) — abandonedCart automation details.
### ECommerceStoreConnectedSite
The Connected Site associated with the store.
- `site_foreign_id` (string, optional) — The unique identifier for the connected site.
- `site_script` (ECommerceStoreConnectedSiteSiteScript, optional) — The script used to connect your site with Mailchimp.
### ECommerceStoreAutomationsAbandonedBrowse
abandonedBrowse automation details. abandonedBrowse is also known as Product Retargeting Email or Retarget Site Visitors on the web.
- `id` (string, optional) — Unique ID of automation parent campaign.
- `is_supported` (boolean, optional) — Whether this store supports the abandonedBrowse automation.
- `status` (enum, optional) — Status of the abandonedBrowse automation.
- Allowed values: `save`, `sending`, `paused`
### ECommerceStoreAutomationsAbandonedCart
abandonedCart automation details.
- `id` (string, optional) — Unique ID of automation parent campaign.
- `is_supported` (boolean, optional) — Whether this store supports the abandonedCart automation.
- `status` (enum, optional) — Status of the abandonedCart automation.
- Allowed values: `save`, `sending`, `paused`
### ECommerceStoreConnectedSiteSiteScript
The script used to connect your site with Mailchimp.
- `fragment` (string, optional) — A pre-built script that you can copy-and-paste into your site to integrate it with Mailchimp.
- `url` (string, optional) — The URL used for any integrations that offer built-in support for connected sites.
## Examples
**Response**
```json
{
"_links": [
{
"href": "string",
"method": "GET",
"rel": "string",
"schema": "string",
"targetSchema": "string"
}
],
"address": {
"address1": "675 Ponce de Leon Ave NE",
"address2": "Suite 5000",
"city": "Atlanta",
"country": "United States",
"country_code": "US",
"latitude": 45.427408,
"longitude": -75.68903,
"postal_code": "30308",
"province": "Georgia",
"province_code": "GA"
},
"automations": {
"abandoned_browse": {
"id": "355a72bfc3",
"is_supported": false,
"status": "sending"
},
"abandoned_cart": {
"id": "355a72bfc3",
"is_supported": false,
"status": "sending"
}
},
"connected_site": {
"site_foreign_id": "a180c384d7db88b if created in-app, MC001 if created via API",
"site_script": {
"fragment": "",
"url": "https://chimpstatic.com/mcjs-connected/js/users/{user-hash}/{site-hash}.js"
}
},
"created_at": "2015-07-15T19:28:00+00:00",
"currency_code": "USD",
"domain": "example.com",
"email_address": "freddie@mailchimp.com",
"id": "example_store",
"is_syncing": true,
"list_id": "1a2df69511",
"list_is_active": true,
"money_format": "$",
"name": "Freddie's Cat Hat Emporium",
"phone": "+16155550128",
"platform": "string",
"primary_locale": "fr",
"timezone": "Eastern",
"updated_at": "2015-07-15T19:28:00+00:00"
}
```
**SDK Code**
```python
import requests
url = "https://api.mailchimp.com/3.0/ecommerce/stores/store_id"
headers = {"Authorization": "Bearer "}
response = requests.get(url, headers=headers)
print(response.json())
```
```javascript
const url = 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
```
```go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailchimp.com/3.0/ecommerce/stores/store_id"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer ")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
```
```ruby
require 'uri'
require 'net/http'
url = URI("https://api.mailchimp.com/3.0/ecommerce/stores/store_id")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '
response = http.request(request)
puts response.read_body
```
```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;
HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/ecommerce/stores/store_id")
.header("Authorization", "Bearer ")
.asString();
```
```php
request('GET', 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id', [
'headers' => [
'Authorization' => 'Bearer ',
],
]);
echo $response->getBody();
```
```csharp
using RestSharp;
var client = new RestClient("https://api.mailchimp.com/3.0/ecommerce/stores/store_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer ");
IRestResponse response = client.Execute(request);
```
```swift
import Foundation
let headers = ["Authorization": "Bearer "]
let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/ecommerce/stores/store_id")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()
```
> Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.